package com.hai.dao;

import com.hai.entity.HighMerchantTripartitePlatform;
import com.hai.entity.HighMerchantTripartitePlatformExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighMerchantTripartitePlatformMapper extends HighMerchantTripartitePlatformMapperExt {
    @SelectProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="countByExample")
    long countByExample(HighMerchantTripartitePlatformExample example);

    @DeleteProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighMerchantTripartitePlatformExample example);

    @Delete({
        "delete from high_merchant_tripartite_platform",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_merchant_tripartite_platform (mer_id, platform_type, ",
        "platform_mer_name, platform_mer_number, ",
        "platform_mer_key, profit_sharing_status, ",
        "profit_sharing_ratio, profit_sharing_receivers_number, ",
        "profit_sharing_receivers_name, `status`, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{merId,jdbcType=BIGINT}, #{platformType,jdbcType=INTEGER}, ",
        "#{platformMerName,jdbcType=VARCHAR}, #{platformMerNumber,jdbcType=VARCHAR}, ",
        "#{platformMerKey,jdbcType=VARCHAR}, #{profitSharingStatus,jdbcType=BIT}, ",
        "#{profitSharingRatio,jdbcType=DECIMAL}, #{profitSharingReceiversNumber,jdbcType=VARCHAR}, ",
        "#{profitSharingReceiversName,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighMerchantTripartitePlatform record);

    @InsertProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighMerchantTripartitePlatform record);

    @SelectProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="platform_type", property="platformType", jdbcType=JdbcType.INTEGER),
        @Result(column="platform_mer_name", property="platformMerName", jdbcType=JdbcType.VARCHAR),
        @Result(column="platform_mer_number", property="platformMerNumber", jdbcType=JdbcType.VARCHAR),
        @Result(column="platform_mer_key", property="platformMerKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_status", property="profitSharingStatus", jdbcType=JdbcType.BIT),
        @Result(column="profit_sharing_ratio", property="profitSharingRatio", jdbcType=JdbcType.DECIMAL),
        @Result(column="profit_sharing_receivers_number", property="profitSharingReceiversNumber", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_receivers_name", property="profitSharingReceiversName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighMerchantTripartitePlatform> selectByExample(HighMerchantTripartitePlatformExample example);

    @Select({
        "select",
        "id, mer_id, platform_type, platform_mer_name, platform_mer_number, platform_mer_key, ",
        "profit_sharing_status, profit_sharing_ratio, profit_sharing_receivers_number, ",
        "profit_sharing_receivers_name, `status`, create_time, update_time, ext_1, ext_2, ",
        "ext_3",
        "from high_merchant_tripartite_platform",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="platform_type", property="platformType", jdbcType=JdbcType.INTEGER),
        @Result(column="platform_mer_name", property="platformMerName", jdbcType=JdbcType.VARCHAR),
        @Result(column="platform_mer_number", property="platformMerNumber", jdbcType=JdbcType.VARCHAR),
        @Result(column="platform_mer_key", property="platformMerKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_status", property="profitSharingStatus", jdbcType=JdbcType.BIT),
        @Result(column="profit_sharing_ratio", property="profitSharingRatio", jdbcType=JdbcType.DECIMAL),
        @Result(column="profit_sharing_receivers_number", property="profitSharingReceiversNumber", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_receivers_name", property="profitSharingReceiversName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighMerchantTripartitePlatform selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighMerchantTripartitePlatform record, @Param("example") HighMerchantTripartitePlatformExample example);

    @UpdateProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighMerchantTripartitePlatform record, @Param("example") HighMerchantTripartitePlatformExample example);

    @UpdateProvider(type=HighMerchantTripartitePlatformSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighMerchantTripartitePlatform record);

    @Update({
        "update high_merchant_tripartite_platform",
        "set mer_id = #{merId,jdbcType=BIGINT},",
          "platform_type = #{platformType,jdbcType=INTEGER},",
          "platform_mer_name = #{platformMerName,jdbcType=VARCHAR},",
          "platform_mer_number = #{platformMerNumber,jdbcType=VARCHAR},",
          "platform_mer_key = #{platformMerKey,jdbcType=VARCHAR},",
          "profit_sharing_status = #{profitSharingStatus,jdbcType=BIT},",
          "profit_sharing_ratio = #{profitSharingRatio,jdbcType=DECIMAL},",
          "profit_sharing_receivers_number = #{profitSharingReceiversNumber,jdbcType=VARCHAR},",
          "profit_sharing_receivers_name = #{profitSharingReceiversName,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighMerchantTripartitePlatform record);
}