package com.hai.service;

import com.alibaba.fastjson.JSONObject;
import com.hai.entity.BsOperationLog;
import com.hai.entity.BsOrderRebate;
import com.hai.entity.HighOrder;

import java.util.List;
import java.util.Map;

/**
 * @serviceName BsOrderRebateService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 下单返利接口
 * @createTime 10:41 2023/1/31
 **/
public interface BsOrderRebateService {

    /**
     * @Author Sum1Dream
     * @Name getOrderRebateByList
     * @Description // 查询列表
     * @Date 10:42 2023/1/31
     * @Param [map]
     * @Return java.util.List<com.hai.entity.BsOrderRebate>
     */
    List<BsOrderRebate> getOrderRebateByList(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name insertOrderRebate
     * @Description // 新增
     * @Date 10:42 2023/1/31
     * @Param [bsOrderRebate]
     * @Return void
     */
    void insertOrderRebate(BsOrderRebate bsOrderRebate);

    /**
     * @Author Sum1Dream
     * @Name updateOrderRebate
     * @Description // 修改
     * @Date 10:42 2023/1/31
     * @Param [bsOrderRebate]
     * @Return void
     */
    void updateOrderRebate(BsOrderRebate bsOrderRebate);

    /**
     * @Author Sum1Dream
     * @Name findOrderRebate
     * @Description // 根据id 查询详情
     * @Date 10:43 2023/1/31
     * @Param [id]
     * @Return com.hai.entity.BsOrderRebate
     */
    BsOrderRebate findOrderRebate(Long id);

    /**
     * @Author Sum1Dream
     * @Name insertOrderRebate
     * @Description // 插入积分返利记录
     * @Date 13:57 2023/1/31
     * @Param [orderId]
     * @Return void
     */
    void insertOrderRebate(HighOrder highOrder);

    /**
     * @Author Sum1Dream
     * @Name insertOrderRebate
     * @Description // 插入积分返利记录
     * @Date 14:53 2023/4/24
     * @Param [object]
     * @Return void
     */
    void insertOrderRebate(JSONObject object);
}
