package com.hai.service;

import com.hai.entity.BsMsg;
import com.hai.entity.BsPushScheduleTask;
import com.hai.entity.HighUser;

import java.util.List;
import java.util.Map;

/**
 * @serviceName BsPushScheduleTaskService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 定时发布任务功能
 * @createTime 15:41 2023/6/27
 **/
public interface BsPushScheduleTaskService {


    /**
     * @Author Sum1Dream
     * @Name insertPushScheduleTask
     * @Description // 新增发布任务
     * @Date 18:06 2023/6/28
     * @Param [bsPushScheduleTask]
     * @Return void
     */
    void insertPushScheduleTask(BsPushScheduleTask bsPushScheduleTask);


    /**
     * @Author Sum1Dream
     * @Name updatePushScheduleTask
     * @Description // 更新发布任务
     * @Date 18:07 2023/6/28
     * @Param [bsPushScheduleTask5]
     * @Return void
     */
    void updatePushScheduleTask(BsPushScheduleTask bsPushScheduleTask5);

    /**
     * @Author Sum1Dream
     * @Name findPushScheduleTask
     * @Description // 查询发布任务详情
     * @Date 18:07 2023/6/28
     * @Param [id]
     * @Return com.hai.entity.BsMsg
     */
    BsMsg findPushScheduleTask(Long id);


    /**
     * @Author Sum1Dream
     * @Name getPushScheduleTaskByList
     * @Description // 查询发布任务列表
     * @Date 18:07 2023/6/28
     * @Param [map]
     * @Return java.util.List<com.hai.entity.BsMsg>
     */
    List<BsMsg> getPushScheduleTaskByList(Map<String , Object> map);

}
