package com.hai.service;

import com.hai.entity.OutRechargeChildOrder;
import com.hai.entity.OutRechargeOrder;
import com.hai.entity.OutRechargeOrderRecord;

import java.util.List;
import java.util.Map;

public interface OutRechargeChildOrderService {

    /**
    * @Author Sum1Dream
    * @name getListRechargeOrderRecord.java
    * @Description // 获取充值记录列表
    * @Date 2:31 下午 2022/2/11
    * @Param []
    * @return java.util.List<com.hai.entity.OutRechargeOrderRecord>
    */
    List<OutRechargeChildOrder> getListRechargeChildOrder(Map<String, Object> map);

    /**
     * @Author Sum1Dream
     * @Name getListRechargeChildOrderByOrderNo
     * @Description // 根据订单号查询话费子订单
     * @Date 09:59 2023/1/18
     * @Param [orderNo]
     * @Return java.util.List<com.hai.entity.OutRechargeChildOrder>
     */
    List<OutRechargeChildOrder> getListRechargeChildOrderByOrderId(Long orderId);

    /**
    * @Author Sum1Dream
    * @name findById.java
    * @Description // 根据ID查询
    * @Date 2:32 下午 2022/2/11
    * @Param [Long id]
    * @return com.hai.entity.OutRechargeOrderRecord
    */
    OutRechargeChildOrder findById(Long id);

    /**
     * @Author Sum1Dream
     * @name findById.java
     * @Description // 根据订单号查询
     * @Date 2:32 下午 2022/2/11
     * @Param [Long id]
     * @return com.hai.entity.OutRechargeOrderRecord
     */
    OutRechargeChildOrder findByOrderNo(String orderNo);

    /**
     * @Author Sum1Dream
     * @name findById.java
     * @Description // 根据订单ID查询
     * @Date 2:32 下午 2022/2/11
     * @Param [Long id]
     * @return com.hai.entity.OutRechargeOrderRecord
     */
    OutRechargeChildOrder findByOrderId(Long orderId);

    /***
     * @Author Sum1Dream
     * @Description // 新增订单
     * @Date 15:25 2021/6/11
     * @Param [rechargeOrderRecord]
     * @return void
     **/
    void insertOrder(OutRechargeChildOrder rechargeChildOrder);

    /***
     * @Author Sum1Dream
     * @Description // 修改订单
     * @Date 15:26 2021/6/11
     * @Param [rechargeOrderRecord]
     * @return void
     **/
    void updateOrder(OutRechargeChildOrder rechargeChildOrder);

    /**
     * @Author Sum1Dream
     * @Name findOutRechargeChildOrderByDesc
     * @Description //根据id 查询最后一条充值记录
     * @Date 15:29 2023/2/27
     * @Param []
     * @Return com.hai.entity.OutRechargeChildOrder
     */
    OutRechargeChildOrder findOutRechargeChildOrderByDesc();

}
