package com.hai.service.impl;

import com.hai.dao.HighDiscountAgentBatchMapper;
import com.hai.entity.HighDiscountAgentBatch;
import com.hai.entity.HighDiscountAgentBatchExample;
import com.hai.service.HighDiscountAgentBatchService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: HighDiscountAgentBatchServiceImpl
 * @author: HuRui
 * @date: 2023/8/16
 **/
@Service("discountAgentBatchService")
public class HighDiscountAgentBatchServiceImpl implements HighDiscountAgentBatchService {

    @Resource
    private HighDiscountAgentBatchMapper discountAgentBatchMapper;
    @Override
    public void editData(HighDiscountAgentBatch discountAgentBatch) {
        if (discountAgentBatch.getId() == null) {
            discountAgentBatch.setCreateTime(new Date());
            discountAgentBatch.setStatus(1);
            discountAgentBatchMapper.insert(discountAgentBatch);
        } else {
            discountAgentBatchMapper.updateByPrimaryKey(discountAgentBatch);
        }
    }

    @Override
    public HighDiscountAgentBatch getBatchByIdentifier(String identifier) {
        HighDiscountAgentBatchExample example = new HighDiscountAgentBatchExample();
        example.createCriteria().andBatchIdentifierEqualTo(identifier).andStatusNotEqualTo(0);
        List<HighDiscountAgentBatch> list = discountAgentBatchMapper.selectByExample(example);
        if (list.size() > 0) {
            return list.get(0);
        }
        return null;
    }

    @Override
    public List<Map<String, Object>> getUsageCount(Map<String, Object> param) {
        return discountAgentBatchMapper.queryUsageCount(param);
    }

    @Override
    public Map<String, Object> getCount(Map<String, Object> param) {
        return discountAgentBatchMapper.queryCount(param);
    }
}
